import { BaseSyntheticEvent } from 'react';
import { ComponentProps } from '@equinor/fusion-react-utils';
import { SearchableDropdownElement, SearchableDropdownProps, SearchableDropdownSelectEvent as HTMLSearchableDropdownSelectEvent } from '@equinor/fusion-wc-searchable-dropdown';
export { SearchableDropdownResult, SearchableDropdownResultItem, SearchableDropdownResolver, } from '@equinor/fusion-wc-searchable-dropdown';
export { IconType } from '@equinor/fusion-wc-icon';
type ElementAttributes = Partial<Pick<SearchableDropdownElement, keyof SearchableDropdownProps>>;
export type SearchableDropdownSelectEvent = BaseSyntheticEvent<HTMLSearchableDropdownSelectEvent>;
type ElementEvents = {
    onSelect?: (e: SearchableDropdownSelectEvent) => void;
    onDropdownClosed?: (e: CustomEvent) => void;
};
type ElementProps = ElementAttributes & ElementEvents;
export type DropdownProps = ComponentProps<SearchableDropdownElement, ElementProps>;
export declare const Dropdown: import("@equinor/fusion-react-utils").WebComponent<SearchableDropdownElement, ElementProps>;
export default Dropdown;
//# sourceMappingURL=Dropdown.d.ts.map